File phonon4qt5-backend-vlc.changes of Package phonon4qt5-backend-vlc

-------------------------------------------------------------------
Tue Feb 27 10:03:22 UTC 2018 - wbauer@tmo.at

- Update to 0.10.1:
  * Fix build with VLC < 3.0
- Drop fix-build-with-vlc2.patch, merged upstream

-------------------------------------------------------------------
Fri Feb 23 21:23:35 UTC 2018 - wbauer@tmo.at

- Update to 0.10.0:
  * Changes
    + Mimetype support list has been synced with latest VLC
  * Bug Fixes
    + The health of our users is very dear to us, so we've lowered
      the default volume to 75% to not blow their ears out in the
      event of failure or badly configured frontend software
    + Volume application has been revised and now applies less
      aggressively. This gives PulseAudio a change to apply/restore
      its own default volume.
    + Volume application and correct role forwarding into VLC
      finally make the PulseAudio notification volume apply
      properly to notifications issued via Phonon (VLC 3 only).
  * VLC 3.0 API Pickup
    + New player role is being used to set the output category on a
      PulseAudio level. This fixes a long-standing bug where VLC
      based audio would always be categorized as video.
    + Various deprecation porting.
- Add fix-build-with-vlc2.patch to make it compile with VLC 2.x

-------------------------------------------------------------------
Sun Feb 18 16:44:20 UTC 2018 - wbauer@tmo.at

- Update to 0.9.1
  * Fix building against older Phonon versions
  * Prevent compilation errors by avoiding preprocessor macros that
    could conflict with VLC's own names (kde#364582)
  * Removed excess warnings from the OS X video widget
  * Introduced a workaround for a double-release bug in the OS X 
    video widget introduced in Qt 5.8.0.
- Call vlc-cache-gen without -f option in %post on Tumbleweed,
  that option apparently doesn't exist anymore in vlc 3.0
- Drop fix-build-with-older-phonon.patch, merged upstream

-------------------------------------------------------------------
Thu Dec  7 11:16:04 UTC 2017 - dimstar@opensuse.org

- Escape the usage of %{VERSION} when calling out to rpm.
  RPM 4.14 has %{VERSION} defined as 'the main packages version'.

-------------------------------------------------------------------
Fri May 13 12:14:50 UTC 2016 - wbauer@tmo.at

- Require VLC 2.1.0 at least for building, support for 2.0.x has
  been removed upstream

-------------------------------------------------------------------
Mon May  9 09:00:02 UTC 2016 - wbauer@tmo.at

- Added fix-build-with-older-phonon.patch to fix building against
  older phonon versions
- Also change required phonon4qt5 version back to 4.7.0, it doesn't
  need a higher one to build successfully

-------------------------------------------------------------------
Tue Apr 19 20:41:03 UTC 2016 - hrvoje.senjan@gmail.com

- Update to 0.9.0
  * No changelog provided

-------------------------------------------------------------------
Mon Apr  4 13:00:32 UTC 2016 - wbauer@tmo.at

- Conflict with newer VLC versions to prevent problems or even
  crashes (boo#968905)

-------------------------------------------------------------------
Thu Dec 11 21:47:43 UTC 2014 - hrvoje.senjan@gmail.com

- Update to 0.8.2:
   * Fix compilation with Qt 5.2.0

-------------------------------------------------------------------
Wed Nov  5 23:02:09 UTC 2014 - hrvoje.senjan@gmail.com

- Update to 0.8.1:
   * Code style improvements.
   * VLC 2.2 compatibility - VLC 2.2 changed the time when
     PulseAudio streams are constructed, rendering the Phonon
     PulseSupport non-functional as it injects stream-dependent
     properties through the environment which needs to happen close
     to stream creation to avoid timing issues. The changed stream
     creation time makes it impossible to provide high-level
     PulseAudio control while also allowing Phonon applications to
     construct multiple AudioOutputs in a very short time frame.
     To allow core functionality from working under these
     circumstances Phonon PulseSupport integration is disabled
     when built against VLC >= 2.2 leading to the following
     known regressions:
      Changing the volume through the PulseAudio stream itself
      is not propagated to Phonon AudioOutputs, meaning the
      application can not reflect volume changes done through
      other applications (e.g. a volume mixer).
      Changing the muteness through the PulseAudio stream is
      not propagated either.
      The PulseAudio media.role property (as well as derived
      properties) is always set to 'video' making all Phonon
      application use the video category for output device
      selection (e.g. as seen in the Phonon KCM).
   * Revised the logic used to come up with an icon name for
     libvlc. If the application has QApplication::windowIcon
     set with an QIcon constructed through QIcon::fromTheme(string)
     the actual icon name will be used.
     Otherwise the lower-case version of
     QCoreApplication::applicationName is used.
   * Setting the libvlc app id is now only dependent on
     QCoreApplication::applicationName being set (previously
     it was also dependent on QCoreApplication::applicationVersion).
     This change was made to accomodate the fact that most
     applications neglect to set a version.
- Bump phonon4qt5 (Build)Requires to 4.8.2

-------------------------------------------------------------------
Sun Oct 19 18:08:20 UTC 2014 - hrvoje.senjan@gmail.com

- Update to 0.8.0
   * Version bump

-------------------------------------------------------------------
Tue Aug 12 19:32:55 UTC 2014 - hrvoje.senjan@gmail.com

- Update to 0.7.80
   * 0.8 beta: PA interaction improvements, documentation fixes and
     standard bugfixes
- Bump phonon (Build)Requires to 4.7.80

-------------------------------------------------------------------
Tue Jul  8 19:23:09 UTC 2014 - hrvoje.senjan@gmail.com

- Refresh vlc plugin in %post (https://trac.videolan.org/vlc/ticket/9807)

-------------------------------------------------------------------
Fri Jun 20 22:07:04 UTC 2014 - hrvoje.senjan@gmail.com

- Update to 0.7.2
  * Bugfix release, no changelog provided

-------------------------------------------------------------------
Sun May  4 02:05:05 UTC 2014 - hrvoje.senjan@gmail.com

- Adjust filelists to kf5-filesystem changes

-------------------------------------------------------------------
Mon Feb 24 18:46:59 UTC 2014 - hrvoje.senjan@gmail.com

- Added pkgconfig(Qt5Core), pkgconfig(Qt5Gui) and pkgconfig(Qt5Widgets)
  BuildRequires instead of relying on phonon4qt5-devel Requires

-------------------------------------------------------------------
Wed Feb 19 22:31:54 UTC 2014 - hrvoje.senjan@gmail.com

- Activate phonon4qt5-backend-vlc package (built against/for
  phonon4qt5). Changes based on phonon-backend-vlc for
  preserving history
- Move to kf5-filesystem, instead of kde4 one

-------------------------------------------------------------------
Fri Dec  6 16:49:55 UTC 2013 - hrvoje.senjan@gmail.com

- Update to 0.7.1:
  * Bugfix release, no changelog provided
- Bump required phonon version to 4.7.1
- Fix Source URL

-------------------------------------------------------------------
Tue Nov 19 17:13:03 UTC 2013 - hrvoje.senjan@gmail.com

- Relax vlc-noX requirement, for making it easier to install VLC from
  alternative repositories (bnc#851063)

-------------------------------------------------------------------
Mon Nov  4 23:06:33 UTC 2013 - hrvoje.senjan@gmail.com

- Update to official 0.7.0 release
  * No source changes since last update
- Add Source URL

-------------------------------------------------------------------
Mon Nov  4 12:40:08 UTC 2013 - hrvoje.senjan@gmail.com

- Update to 0.7.0~git20131104
  * Buildsystem fixes since previous snapshot
  * Version bump to 0.7.0

-------------------------------------------------------------------
Sun Oct  6 16:24:50 UTC 2013 - hrvoje.senjan@gmail.com

- Make phonon-backend-vlc require exact vlc-noX package version
  as vlc version it was compiled against

-------------------------------------------------------------------
Mon Sep 30 18:49:34 UTC 2013 - hrvoje.senjan@gmail.com

- Update to 0.6.80~git20130930
  * do not release and allocate media_t on audiocd track change
  * do not reset autoplay as applications can set that any time
  * implement attemptautoplay mechanic

-------------------------------------------------------------------
Mon Sep 16 14:11:52 UTC 2013 - hrvoje.senjan@gmail.com

- Explicitly require current libphonon4 version (4.6.80~git20130915)

-------------------------------------------------------------------
Sun Sep 15 18:44:42 UTC 2013 - hrvoje.senjan@gmail.com

- Update to 0.6.80~git20130915
  * Snapshot of soon to be released 0.7 version
  * Various improvements, bugfixes, API aditions, documentation fixes
  * Qt5 support
  * Support for vlc's equalizer, when built with vlc >= 2.2

-------------------------------------------------------------------
Sun Apr  7 14:33:03 UTC 2013 - tittiatcoke@gmail.com

- Initial package for the Phonon VLC backend (0.6.2)